<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_18) on Mon Jul 05 12:01:08 CEST 2010 -->
<TITLE>
ACOParameter
</TITLE>

<META NAME="date" CONTENT="2010-07-05">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ACOParameter";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ACOParameter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../index.html?aco/parameter/ACOParameter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ACOParameter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
aco.parameter</FONT>
<BR>
Class ACOParameter</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../resources/inherit.gif" ALT="extended by "><B>aco.parameter.ACOParameter</B>
</PRE>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../aco/parameter/acs/ACSParameter.html" title="class in aco.parameter.acs">ACSParameter</A>, <A HREF="../../aco/parameter/as/ASParameter.html" title="class in aco.parameter.as">ASParameter</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public abstract class <B>ACOParameter</B><DT>extends java.lang.Object</DL>
</PRE>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#ACOParameter()">ACOParameter</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#ACOParameter(aco.strategy.ACOStrategy, aco.strategy.GraphStrategy, aco.strategy.TauZeroStrategy, aco.strategy.DistanceStrategy, aco.strategy.PheromoneStrategy, aco.strategy.ChoiceInformationStrategy, aco.strategy.HeuristicInformationStrategy)">ACOParameter</A></B>(<A HREF="../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A>&nbsp;acos,
             <A HREF="../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A>&nbsp;gs,
             <A HREF="../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A>&nbsp;tzs,
             <A HREF="../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A>&nbsp;ds,
             <A HREF="../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A>&nbsp;ps,
             <A HREF="../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A>&nbsp;cis,
             <A HREF="../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A>&nbsp;his)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#ACOParameter(double, double, double, int, int, int, int, aco.strategy.ACOStrategy, aco.strategy.GraphStrategy, aco.strategy.TauZeroStrategy, aco.strategy.DistanceStrategy, aco.strategy.PheromoneStrategy, aco.strategy.ChoiceInformationStrategy, aco.strategy.HeuristicInformationStrategy)">ACOParameter</A></B>(double&nbsp;Beta,
             double&nbsp;Roh,
             double&nbsp;TauZero,
             int&nbsp;MaxNumOfTours,
             int&nbsp;NumOfAnts,
             int&nbsp;NumOfCities,
             int&nbsp;NearestNeighbourListDepth,
             <A HREF="../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A>&nbsp;acos,
             <A HREF="../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A>&nbsp;gs,
             <A HREF="../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A>&nbsp;tzs,
             <A HREF="../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A>&nbsp;ds,
             <A HREF="../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A>&nbsp;ps,
             <A HREF="../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A>&nbsp;cis,
             <A HREF="../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A>&nbsp;his)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#ACOParameter(int)">ACOParameter</A></B>(int&nbsp;NumOfCities)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#ACOParameter(int, aco.strategy.ACOStrategy, aco.strategy.GraphStrategy, aco.strategy.TauZeroStrategy, aco.strategy.DistanceStrategy, aco.strategy.PheromoneStrategy, aco.strategy.ChoiceInformationStrategy, aco.strategy.HeuristicInformationStrategy)">ACOParameter</A></B>(int&nbsp;NumOfCities,
             <A HREF="../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A>&nbsp;acos,
             <A HREF="../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A>&nbsp;gs,
             <A HREF="../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A>&nbsp;tzs,
             <A HREF="../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A>&nbsp;ds,
             <A HREF="../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A>&nbsp;ps,
             <A HREF="../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A>&nbsp;cis,
             <A HREF="../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A>&nbsp;his)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#ACOParameter(int, int, int, aco.strategy.ACOStrategy, aco.strategy.GraphStrategy, aco.strategy.TauZeroStrategy, aco.strategy.DistanceStrategy, aco.strategy.PheromoneStrategy, aco.strategy.ChoiceInformationStrategy, aco.strategy.HeuristicInformationStrategy)">ACOParameter</A></B>(int&nbsp;NumOfAnts,
             int&nbsp;NumOfCities,
             int&nbsp;NearestNeighbourListDepth,
             <A HREF="../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A>&nbsp;acos,
             <A HREF="../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A>&nbsp;gs,
             <A HREF="../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A>&nbsp;tzs,
             <A HREF="../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A>&nbsp;ds,
             <A HREF="../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A>&nbsp;ps,
             <A HREF="../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A>&nbsp;cis,
             <A HREF="../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A>&nbsp;his)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#getACOStrategy()">getACOStrategy</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#getBeta()">getBeta</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#getChoiceInformationStrategy()">getChoiceInformationStrategy</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#getDistanceStrategy()">getDistanceStrategy</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#getGlobalBestTourMapSize()">getGlobalBestTourMapSize</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#getGraphStrategy()">getGraphStrategy</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#getHeuristicInformationStrategy()">getHeuristicInformationStrategy</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#getInfinity()">getInfinity</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#getMaxNumOfTours()">getMaxNumOfTours</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#getNearestNeighbourListDepth()">getNearestNeighbourListDepth</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#getNumOfAnts()">getNumOfAnts</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#getNumOfCities()">getNumOfCities</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#getPheromoneStrategy()">getPheromoneStrategy</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#getRoh()">getRoh</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#getTauZero()">getTauZero</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#getTauZeroStrategy()">getTauZeroStrategy</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#setACOStrategy(aco.strategy.ACOStrategy)">setACOStrategy</A></B>(<A HREF="../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A>&nbsp;acos)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#setBeta(double)">setBeta</A></B>(double&nbsp;Beta)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#setChoiceInformationStrategy(aco.strategy.ChoiceInformationStrategy)">setChoiceInformationStrategy</A></B>(<A HREF="../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A>&nbsp;cis)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#setDistanceStrategy(aco.strategy.DistanceStrategy)">setDistanceStrategy</A></B>(<A HREF="../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A>&nbsp;ds)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#setGlobalBestTourMapSize(int)">setGlobalBestTourMapSize</A></B>(int&nbsp;GlobalBestTourMapSize)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#setGraphStrategy(aco.strategy.GraphStrategy)">setGraphStrategy</A></B>(<A HREF="../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A>&nbsp;gs)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#setHeuristicInformationStrategy(aco.strategy.HeuristicInformationStrategy)">setHeuristicInformationStrategy</A></B>(<A HREF="../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A>&nbsp;his)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#setMaxNumOfTours(int)">setMaxNumOfTours</A></B>(int&nbsp;MaxNumOfTours)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#setNearestNeighbourListDepth(int)">setNearestNeighbourListDepth</A></B>(int&nbsp;NearestNeighbourListDepth)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#setNumOfAnts(int)">setNumOfAnts</A></B>(int&nbsp;NumOfAnts)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#setNumOfCities(int)">setNumOfCities</A></B>(int&nbsp;NumOfCities)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#setPheromoneStrategy(aco.strategy.PheromoneStrategy)">setPheromoneStrategy</A></B>(<A HREF="../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A>&nbsp;ps)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#setRoh(double)">setRoh</A></B>(double&nbsp;Roh)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#setTauZero(double)">setTauZero</A></B>(double&nbsp;v)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/parameter/ACOParameter.html#setTauZeroStrategy(aco.strategy.TauZeroStrategy)">setTauZeroStrategy</A></B>(<A HREF="../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A>&nbsp;tzs)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="ACOParameter()"><!-- --></A><H3>
ACOParameter</H3>
<PRE>
public <B>ACOParameter</B>()</PRE>
<DL>
</DL>
<HR>

<A NAME="ACOParameter(int)"><!-- --></A><H3>
ACOParameter</H3>
<PRE>
public <B>ACOParameter</B>(int&nbsp;NumOfCities)</PRE>
<DL>
</DL>
<HR>

<A NAME="ACOParameter(aco.strategy.ACOStrategy, aco.strategy.GraphStrategy, aco.strategy.TauZeroStrategy, aco.strategy.DistanceStrategy, aco.strategy.PheromoneStrategy, aco.strategy.ChoiceInformationStrategy, aco.strategy.HeuristicInformationStrategy)"><!-- --></A><H3>
ACOParameter</H3>
<PRE>
public <B>ACOParameter</B>(<A HREF="../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A>&nbsp;acos,
                    <A HREF="../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A>&nbsp;gs,
                    <A HREF="../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A>&nbsp;tzs,
                    <A HREF="../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A>&nbsp;ds,
                    <A HREF="../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A>&nbsp;ps,
                    <A HREF="../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A>&nbsp;cis,
                    <A HREF="../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A>&nbsp;his)</PRE>
<DL>
</DL>
<HR>

<A NAME="ACOParameter(int, aco.strategy.ACOStrategy, aco.strategy.GraphStrategy, aco.strategy.TauZeroStrategy, aco.strategy.DistanceStrategy, aco.strategy.PheromoneStrategy, aco.strategy.ChoiceInformationStrategy, aco.strategy.HeuristicInformationStrategy)"><!-- --></A><H3>
ACOParameter</H3>
<PRE>
public <B>ACOParameter</B>(int&nbsp;NumOfCities,
                    <A HREF="../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A>&nbsp;acos,
                    <A HREF="../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A>&nbsp;gs,
                    <A HREF="../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A>&nbsp;tzs,
                    <A HREF="../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A>&nbsp;ds,
                    <A HREF="../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A>&nbsp;ps,
                    <A HREF="../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A>&nbsp;cis,
                    <A HREF="../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A>&nbsp;his)</PRE>
<DL>
</DL>
<HR>

<A NAME="ACOParameter(int, int, int, aco.strategy.ACOStrategy, aco.strategy.GraphStrategy, aco.strategy.TauZeroStrategy, aco.strategy.DistanceStrategy, aco.strategy.PheromoneStrategy, aco.strategy.ChoiceInformationStrategy, aco.strategy.HeuristicInformationStrategy)"><!-- --></A><H3>
ACOParameter</H3>
<PRE>
public <B>ACOParameter</B>(int&nbsp;NumOfAnts,
                    int&nbsp;NumOfCities,
                    int&nbsp;NearestNeighbourListDepth,
                    <A HREF="../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A>&nbsp;acos,
                    <A HREF="../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A>&nbsp;gs,
                    <A HREF="../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A>&nbsp;tzs,
                    <A HREF="../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A>&nbsp;ds,
                    <A HREF="../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A>&nbsp;ps,
                    <A HREF="../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A>&nbsp;cis,
                    <A HREF="../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A>&nbsp;his)</PRE>
<DL>
</DL>
<HR>

<A NAME="ACOParameter(double, double, double, int, int, int, int, aco.strategy.ACOStrategy, aco.strategy.GraphStrategy, aco.strategy.TauZeroStrategy, aco.strategy.DistanceStrategy, aco.strategy.PheromoneStrategy, aco.strategy.ChoiceInformationStrategy, aco.strategy.HeuristicInformationStrategy)"><!-- --></A><H3>
ACOParameter</H3>
<PRE>
public <B>ACOParameter</B>(double&nbsp;Beta,
                    double&nbsp;Roh,
                    double&nbsp;TauZero,
                    int&nbsp;MaxNumOfTours,
                    int&nbsp;NumOfAnts,
                    int&nbsp;NumOfCities,
                    int&nbsp;NearestNeighbourListDepth,
                    <A HREF="../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A>&nbsp;acos,
                    <A HREF="../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A>&nbsp;gs,
                    <A HREF="../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A>&nbsp;tzs,
                    <A HREF="../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A>&nbsp;ds,
                    <A HREF="../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A>&nbsp;ps,
                    <A HREF="../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A>&nbsp;cis,
                    <A HREF="../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A>&nbsp;his)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getInfinity()"><!-- --></A><H3>
getInfinity</H3>
<PRE>
public int <B>getInfinity</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getBeta()"><!-- --></A><H3>
getBeta</H3>
<PRE>
public double <B>getBeta</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setBeta(double)"><!-- --></A><H3>
setBeta</H3>
<PRE>
public void <B>setBeta</B>(double&nbsp;Beta)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getRoh()"><!-- --></A><H3>
getRoh</H3>
<PRE>
public double <B>getRoh</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setRoh(double)"><!-- --></A><H3>
setRoh</H3>
<PRE>
public void <B>setRoh</B>(double&nbsp;Roh)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getTauZero()"><!-- --></A><H3>
getTauZero</H3>
<PRE>
public double <B>getTauZero</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setTauZero(double)"><!-- --></A><H3>
setTauZero</H3>
<PRE>
public void <B>setTauZero</B>(double&nbsp;v)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNumOfAnts()"><!-- --></A><H3>
getNumOfAnts</H3>
<PRE>
public int <B>getNumOfAnts</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setNumOfAnts(int)"><!-- --></A><H3>
setNumOfAnts</H3>
<PRE>
public void <B>setNumOfAnts</B>(int&nbsp;NumOfAnts)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNumOfCities()"><!-- --></A><H3>
getNumOfCities</H3>
<PRE>
public int <B>getNumOfCities</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setNumOfCities(int)"><!-- --></A><H3>
setNumOfCities</H3>
<PRE>
public void <B>setNumOfCities</B>(int&nbsp;NumOfCities)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getMaxNumOfTours()"><!-- --></A><H3>
getMaxNumOfTours</H3>
<PRE>
public int <B>getMaxNumOfTours</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setMaxNumOfTours(int)"><!-- --></A><H3>
setMaxNumOfTours</H3>
<PRE>
public void <B>setMaxNumOfTours</B>(int&nbsp;MaxNumOfTours)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNearestNeighbourListDepth()"><!-- --></A><H3>
getNearestNeighbourListDepth</H3>
<PRE>
public int <B>getNearestNeighbourListDepth</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setNearestNeighbourListDepth(int)"><!-- --></A><H3>
setNearestNeighbourListDepth</H3>
<PRE>
public void <B>setNearestNeighbourListDepth</B>(int&nbsp;NearestNeighbourListDepth)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getGlobalBestTourMapSize()"><!-- --></A><H3>
getGlobalBestTourMapSize</H3>
<PRE>
public int <B>getGlobalBestTourMapSize</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setGlobalBestTourMapSize(int)"><!-- --></A><H3>
setGlobalBestTourMapSize</H3>
<PRE>
public void <B>setGlobalBestTourMapSize</B>(int&nbsp;GlobalBestTourMapSize)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getACOStrategy()"><!-- --></A><H3>
getACOStrategy</H3>
<PRE>
public <A HREF="../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A> <B>getACOStrategy</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getGraphStrategy()"><!-- --></A><H3>
getGraphStrategy</H3>
<PRE>
public <A HREF="../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A> <B>getGraphStrategy</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getTauZeroStrategy()"><!-- --></A><H3>
getTauZeroStrategy</H3>
<PRE>
public <A HREF="../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A> <B>getTauZeroStrategy</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getDistanceStrategy()"><!-- --></A><H3>
getDistanceStrategy</H3>
<PRE>
public <A HREF="../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A> <B>getDistanceStrategy</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getPheromoneStrategy()"><!-- --></A><H3>
getPheromoneStrategy</H3>
<PRE>
public <A HREF="../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A> <B>getPheromoneStrategy</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getChoiceInformationStrategy()"><!-- --></A><H3>
getChoiceInformationStrategy</H3>
<PRE>
public <A HREF="../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A> <B>getChoiceInformationStrategy</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getHeuristicInformationStrategy()"><!-- --></A><H3>
getHeuristicInformationStrategy</H3>
<PRE>
public <A HREF="../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A> <B>getHeuristicInformationStrategy</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setACOStrategy(aco.strategy.ACOStrategy)"><!-- --></A><H3>
setACOStrategy</H3>
<PRE>
public void <B>setACOStrategy</B>(<A HREF="../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A>&nbsp;acos)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setGraphStrategy(aco.strategy.GraphStrategy)"><!-- --></A><H3>
setGraphStrategy</H3>
<PRE>
public void <B>setGraphStrategy</B>(<A HREF="../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A>&nbsp;gs)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setTauZeroStrategy(aco.strategy.TauZeroStrategy)"><!-- --></A><H3>
setTauZeroStrategy</H3>
<PRE>
public void <B>setTauZeroStrategy</B>(<A HREF="../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A>&nbsp;tzs)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setDistanceStrategy(aco.strategy.DistanceStrategy)"><!-- --></A><H3>
setDistanceStrategy</H3>
<PRE>
public void <B>setDistanceStrategy</B>(<A HREF="../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A>&nbsp;ds)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setPheromoneStrategy(aco.strategy.PheromoneStrategy)"><!-- --></A><H3>
setPheromoneStrategy</H3>
<PRE>
public void <B>setPheromoneStrategy</B>(<A HREF="../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A>&nbsp;ps)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setChoiceInformationStrategy(aco.strategy.ChoiceInformationStrategy)"><!-- --></A><H3>
setChoiceInformationStrategy</H3>
<PRE>
public void <B>setChoiceInformationStrategy</B>(<A HREF="../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A>&nbsp;cis)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setHeuristicInformationStrategy(aco.strategy.HeuristicInformationStrategy)"><!-- --></A><H3>
setHeuristicInformationStrategy</H3>
<PRE>
public void <B>setHeuristicInformationStrategy</B>(<A HREF="../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A>&nbsp;his)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ACOParameter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../index.html?aco/parameter/ACOParameter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ACOParameter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
